Package net.shibboleth.idp.session.criterion

# Class SessionIdCriterion

java.lang.Object
net.shibboleth.idp.session.criterion.SessionIdCriterion

All Implemented Interfaces:
  `Criterion`

public final class SessionIdCriterion extends Object implements Criterion
`Criterion` representing a session ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`id`
The session ID.

## Constructor Summary

Constructors
Constructor
Description
`SessionIdCriterion(String sessionId)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getSessionId()`
Get the session ID.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

@Nonnull @NotEmpty private final String id
The session ID.

## Constructor Details

### SessionIdCriterion

public SessionIdCriterion(@Nonnull @NotEmpty String sessionId)
Constructor.

Parameters:
  `sessionId` - the session ID

## Method Details

### getSessionId

@Nonnull @NotEmpty public String getSessionId()
Get the session ID.

Returns:
  the session ID

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`